Introduction

Thank you for using Waterfall Pro. Waterfall Pro is designed by YiHong Software Development Corporation ( Leading WinTech), a high-tech software development team in Taiwan. It is protected by copyright law and international treaties. Unauthorized reproduction or distribution of this program, or any portion of it, may result in severe civil and criminal penalties, and will be prosecuted to the maximum extent possible under law.

In order to support most hardware manufacturers, YiHong Software Development Corporation uses several unique technologies such as Ring0 Technology, Multitasking Technology, PM Technology, I/O Detection Technology to develop Waterfall Pro. Waterfall Pro is the most powerful thermal software solution avaliable for your computer. It can not only cool your processor but also monitor important information such as CPU and motherboard temperature, HDD usage and free space, etc. Because of its high expandability and support for third-party plugins, there are no limits to what Waterfall Pro can monitor. It also supports all 80x86 processors from Intel, Cyrix, AMD, IDT or any others, and can be used in any computer (under Windows 95/98).

Please take some time to read this manual carefully. This manual is divided in the following sections:

I. | Introduction: Manual Information
II. | Contract Information: Technical support and contacts
III. | Features: Information and specification concerning this product
IV. | Installation: Instructions on installing Waterfall Pro
V. | Setup: Instructions on setting up Waterfall Pro
VI. |  Information on updating and using sensor modules
VII. | FAQ Frequently Asked Questions

Appendix A: Laptop users and Overclockers
Appendix B: Hardware Sensors and other monitoring programs
Appendix C: Mainboard Manufacturers in Taiwan
Appendix D: Processor Information


Contact Information You can contact Intelliquis or Leading WinTech if you have any question or suggestion

Contact Information
You can contact Leading WinTech if you have any question or suggestion.

Logo.jpg (32683 bytes) YiHong Software Development Corporation.
FL 4 No 7-3, ALLEY 60 LANE 164 HU LIN STREET
TAIPEI, TAIWAN, ROC.

Fax: 886-2-2345-8285 (GMT+08:00)


 Features

Waterfall Pro is a very powerful utility which protects your PC and cools down your processor. It is designed to PC users who want a cooler and safer Windows environment, as well as to laptop users who need to save power so that the battery will have a longer life. This software:

  • Decreases your CPU temperature up to 30C
  • Optimizes your CPU for a faster performance
  • Precisely monitors your CPU usage & power consumption
  • Monitors up to 3 additional devices (ie. CPU/Motherboard temperature, HDD space, UPS, etc.)
  • Support most mainboards even your mainboard manufacturer doesn't provide you with the proper monitoring program.
  • Plays an alarm sound if something is abnormal (ie. temperature too high)
  • Process Priority Control
  • Saves up to 30 minutes (maybe more) of battery life in Laptops/Notebooks
  • CPU Throttling can stop fan rotation ever your notebook is very busy.
  • Reduce the pollution of using too many notebook battery.

System Requirement:

  • Windows 95 or Windows 98
  • 8MB of Ram
  • 80x586, 80x686, Pentium or equivalent
  • 5MB of HDD space


Installation

You can download Waterfall Pro at the Leading WinTech website.
The installation program of Waterfall Pro is InstallShield.

Install2.jpg (34613 bytes)

Please click the "Next" button to continue.

Install3.jpg (28568 bytes)

Now please choose the folder in which you would like to install Waterfall Pro (or use the default one).
Then click the "Next" button to continue.

Install4.jpg (29171 bytes)

Please click the "Next" button to continue.

Install5.jpg (21593 bytes)

Congratulations! You have finished installing Waterfall Pro on your computer.

When you run Waterfall Pro for the first time, it will ask you to input the registration code. Please make sure you input the appropriate code. The registration code is very important and it is required whenever you need to install Waterfall Pro again, so please write it in a paper and put it in a safe place. Now click the "OK" button. In case you are not a registered user, and would like to use Waterfall Pro as a freeware, please click the "Try!" button instead.

Image5.jpg (15453 bytes)


 Setup

Setting up Waterfall Pro is very easy, but requires that you read our setup guidelines and follow every recommended steps. By reading this section, you will learn how to use it, and find out how Waterfall Pro can improve your computing experience.

When running Waterfall Pro for the first time, or whenever you wish to update your configuration please click Waterfall Pro's task bar icon (it's one of those small icons which are placed next to the clock in the lower-left part of your monitor). By doing this you will open Waterfall Pro's main window.

(Waterfall Pro's main window)

Now click [Option] and [Setup] to enter setup mode. When you enter setup mode, you will see the following Window.

You will be asked to input the name of your CPU. This information is usually provided by the company who assembled your computer. However, if you don't know which CPU you have, then don't worry, just select "Generic Processor". In that case, Waterfall Pro will try to figure out the best settings for your CPU. But please note that for the best performance, it's advised that you try to find out which CPU your computer has.

After choosing your CPU, you can input its core voltage. If you know what type of CPU you have, but don't know what voltage it uses, please go to the Appendix D in this manual. Otherwise, just leave this setting unchanged.

Then you can choose your mainboard model. If your mainboard is not listed in this list-box, or in case you don't know which mainboard you have, please select "Generic Mainboard". Unfortunately, however, you can only use Waterfall Pro’s monitoring and alarm functions if you specify your mainboard. If your mainboard isn't listed yet, please contact your mainboard manufacturer or wait for a plugin module to be published at our website. Due to the amount of mainboards in the market, we can't offer support for all of them. But Waterfall Pro will still work properly even if your mainboard isn't listed.

Once you have selected your mainboard, the "Setup" button next to it may become visible. This means that your mainboard has a lot of optional hardware sensors. In that case, just mark the ones that you would like to use.

Now click the "Next” button to set up the alarm settings. You will see the following window:

Waterfall Pro's exclusive Alarm system can notify you when something in your system is abnormal. If your CPU Temperature is too high, you can using these setting will start CPU Throttling (the CPU Throttling feature is explained further in the manual) to protect your CPU.

Setting up the Alarm system is very easy. Use the "Alarm" option to select which Alarm system you would like to configure. After configuring an Alarm system, you can choose another one and configure it as well, this way you can set up an unending list of Alarms that will always warn you whenever something abnormal occurs.

After choosing which Alarm system you would like to configure, you can also define a safety range by setting the limits thresholds. For example, I can make Waterfall Pro activate the Alarm in case the CPU temperature is above 60C (Upper Safety Range) or below 20C (Lower Safety Range).

You are also given the option to play a sound when the Alarm is activated. You can even set up different sounds for different Alarm systems.

If your mainboard has a sensor which is recognized by Waterfall Pro, you can choose "Decrease the temperature of the CPU when its overheated" . This feature will start CPU Throttling when your processor is overheated.

If you want to use default message and safety range which be defaulted by sensor module, you can click "Default Message and Safety Range". This feature is very useful if you don't know how to set safety range and message.

Now, please click “Next” button to enter next setup window.

Optimization may increase the performance of your system. You only can choose to either enable or disable "CPU Optimization", the rest is done by default by Waterfall Pro. If you choose this feature, Waterfall Pro will optimize your processor. But in order for that to happen, you must have specified the CPU in the first setup window.

Now click "Next" to go to the miscellaneous setup.

You're only advised to change the settings in this window in case you're an experienced user.

In this window you will see one of the best features of Waterfall Pro: CPU Throttling. You can learn how to use CPU Throttling to protect your processor from overheating. It is very useful for laptop users and overclockers. You can move the slider bar to set the percentage of the CPU Throttling. By changing the CPU Throttling settings, you're able to select your CPU's maximum load, which prevents it from exceeding a certain temperature. The lower the maximum CPU load, the lower will be the maximum temperature and power consumption that it will achieve. However, CPU Throttling has an impact in your computer's performance (which is not very noticeable for high levels of maximum CPU load), so it's up to you decide which setting best fits your needs If you are laptop user, we recommend you to set CPU Throttling to 50%.

If you want Waterfall Pro cool your CPU, please check "HLT Enable” (cooling the CPU through HLT has no impact in the CPU's performance).

Now click the "Next" button to move to the next step.

In this window you can select up to two additional modules for Waterfall Pro to monitor. Some modules may require setup, in that case, the Setup button next to it will become visible. If you're using an additional module that didn't originally come with Waterfall Pro, please refer to the module's own documentation. All modules that come with Waterfall Pro are straight-forward and don't require setup.

So, all you have to do is select which ones, if any, you would to monitor.

Now click the "Next" button to finish setting up Waterfall Pro.

If you chose the wrong type of CPU in the first window,, your see a blue screen error. Please don㦙 worry, this won't make you lose your current work or harm your system. Our reliable Secure Optimizer prevents your system from crashing.

Waterfall Pro has 2 main windows that can monitor up to 3 devices at the same time. The first window gives you the information about Processor usage, power consumption, CPU Temperature, Mainboard Temperature, CPU Voltage, Power Voltage, and Fan Rotation. The second window is used for monitoring 2 additional devices. You can further on install plugins to monitor your mainboard, UPS, and even Windows activities.

You can click [File][Switch Window] to switch these 2 windows.

Picture 1 - Waterfall Pro's main window

Picture 2 - Waterfall Pro's second window
Please note that some items have their specified formats. For Example, Power Consumption (%): 37/49 and Power Consumption (W): 4.8/6.4. This means that the maximum power consumption of your processor is 4.8 ÷37% = 13W. The first value (4.8W) is the current power consumption in 2 seconds, the last value (6.4W) is the average power consumption from you start your computer to now.

You can click [Option][Celsius] or [Option][Fahrenheit] of the menu to switch the temperature unit.


FAQ

FREQUENTLY ASKED QUESTIONS
This file covers frequently asked questions about Waterfall Pro.

Q: What's the difference between Rain & Waterfall Pro?
A: Rain is just a CPU cooler that uses HLT instructions. Waterfall Pro goes way beyond that. It's the most complete software thermal solution up to now. Waterfall Pro is better, but Rain is simple and straight-forward. We recommend you to start with Waterfall Pro and if you find it too difficult to use, then try Rain.

Q: How does Waterfall Pro's HLT cooling work?
A: They both work with HLT instructions that replace idle cycles with a suspend mode. In other words, when a certain percentage of your CPU is not working, instead of generating heat by processing idle cycles, it's put into a suspend mode, therefore
it runs cooler and also consumes less power.

Q: What's a HLT command?
A: It's a command that replaces the idle cycles (which generate heat) with a suspend mode. In advanced CPUs, this command can be executed when a certain percentage of the CPU is idle. Some OSes, like Linux, OS/2, Windows NT usually include these instructions by default, but Windows 95/98 don't. The memory architecture of Windows 95/98 is very bad, so it isn't able to execute the HLT instruction very well. But YiHong Software Development Corporation uses an exclusive RING0 Technology to create new unique memory architecture to protect the ring0 code, which gives Waterfall Pro an unmatched stability.

Q: Can Rain & Waterfall Pro increase my chances of a successful overclock?
A: The HLT cooling itself doesn't increase the chances of a successful overclock because it's only effective when the CPU is not 100% in use. When an overclock is not stable, sometimes when the CPU is not 100% in use it may give you the wrong feeling that it's stable, but when you use a CPU intensive application or game, it may crash (not because of Rain or Waterfall Pro, but because it's not stable).

Waterfall Pro, however, has a unique feature called CPU Throttling. This feature can increase your chances of a successful overclock because it prevents the CPU from achieving a CPU load of 100%. Please refer to Waterfall Pro's readme.txt file for further information on CPU Throttling.

Q: Sometimes the background in Waterfall Pro's traybar icon changes, but I didn't choose to disable it, what does that mean?
A: The default Waterfall Pro icon is a blue chip. When the chip turns to red, it means that your CPU is 100% in use. When it runs white and has small white dots above it (kind of like if it was snowing on the chip), it means that CPU Throttling is being used to prevent your chip from exceeding a certain CPU load.

Q: Does using Waterfall Pro decreases my overall performance?
A: Well... the task that Waterfall executes doesn't decrease your overall performance. However, no matter how small they are, Waterfall Pro is a program, and just like any other program, while they're running, they do use some resources. However, the amount of resources that they use is negligible, so the impact on performance is almost null. In fact, with Waterfall Pro you should even experience some performance increase due to its optimization features.

Q: I've tried several fake performance boosters, how do I know that Waterfall Pro really works?
A: The only way to notice that it is really working is to measure your CPU and/or heatsink temperature. Or if your motherboard has a temperature sensor which is supported by Waterfall Pro then you should be able to monitor the temperature decrease from Windows. Another way of seeing that Waterfall Pro really works is that if you use CPU Throttling it may help you achieve stability with your overclocked CPU.

Q: I hear some buzzing sound coming out of my speakers when using Waterfall Pro, is something wrong?
A: That's a very common problem. This is not a bug in Waterfall Pro, it's just that some hardware components have weird behaviors when a HLT instruction is executed. This buzzing sound seems to be the most usual problem - although some people think it's annoying, it's actually harmless. In Waterfall Pro you can disable the HLT cooling in the Setup and still use the other features.

Q: I experience some weird side effects when running Waterfall Pro. What should I do?
A: The best thing to do is to try to identify if the problem is with the program itself or the HLT instruction. The only way to do that would be to install CPUIdle (another cooling program) and see if it works. If it doesn't, then contact your hardware manufacturers
(especially your motherboard manufacturer) and ask them about any conflicts with the HLT instruction. Notice that if there is a conflict with HLT instructions, then this is not Waterfall or Rain's fault, in fact, the problem will be reproduced under any OS that uses HLT instructions (such as Windows NT for example).

Q: Does Waterfall Pro work under Windows NT?
A: No. NT doesn't need HLT coolers, but we are considering the possibility of Porting Waterfall Pro to NT.

Q: Why is it that System Monitor and other CPU monitors indicate that my CPU is 100% busy when running Waterfall Pro?
A: That happens because these monitors only detect that a certain percentage of the CPU isn't being used when it's idle. Waterfall Pro replaces this idle mode with a suspend mode generated by the HLT instructions. Therefore, these monitors will always show that your CPU is 100% busy. There's no fix for this unless someone releases a patch for these monitors. Please use Waterfall Pro to see the CPU Usage, because it's more precise than other detecting programs.

Q: When running Waterfall Pro, I get weird scores under Wintune. Why is that?
A: Wintune isn't a good utility for measuring your system's performance, it's results can't really be trusted. If you run a Cyrix 6x86MX PR200 at 166Mhz and an Intel Pentium MMX at 166Mhz, it'll show exactly the same scores, but we know that the Cyrix CPU is much faster (when comparing Mhz per Mhz). Try using Winbench for a real performance benchmark.

Q: Can I use Waterfall Pro and other cooling programs at the same time for a better cooling?
A: Waterfall Pro already performs all the tasks that other cooling programs does, therefore if you run both, one of them will be inactive. Waterfall Pro 2.0 is more stable than other cooling programs and it will try to close other cooling programs to protect your system.

Q: I get weird readings when I use Waterfall Pro's temperature monitor. What should I do?
A: First of all, please be sure that you're using the right temperature sensor module. If you select a sensor that is not actually present in your motherboard you may get weird readings. In case you're sure that you picked the right motherboard and/or sensor, then please contact YiHong Software Development Corporation so that we can try to fix this bug.

Q: What does the alarm function do?
A: It warns you when it gets a reading from a certain sensor module that is out of the safety range. For example, if you select the "CPU Temperature" warning, it may warn you when your CPU goes above a certain temperature. Or it may warn you when your "FAN Voltage" goes above or below a certain margin. You may set up several alarms at the same time. For each alarm, you're
given the option to select a certain sound so that you can differ them.

Q: I am a programmer and I want to design a monitoring program which use YiHong's sensor modules. Could I use these Sensor modules?
A: YiHong Software Development Corporation spend a lot of time and budgets to make these sensor module protocols and design these sensor modules. If you want to develop your monitoring program and want to use our sensor modules, please contact us. Or you should not use them.

Q: Could Waterfall Pro harm my PC or processor?
A: No, Waterfall Pro won't harm your PC or processor. However, some low-quality mainboards that use cheap components may cause your system to be have some weird, but harmless, side effects (such as a buzzing sound coming out of the speakers). If your computer crashes when using Waterfall Pro, please contact your hardware manufacturer and tell them that your mainboard has this problem.

Q: Why is the CPU Temperature that Waterfall Pro reports lower than other monitoring programs?
A: Because the CPU Temperature is higher than the actual temperature which is detected by the sensor chip or sensor components, some monitoring program will add compensating values in CPU Temperature. But we believe that compensating values are not very useful because they're generating an artificial number, so our sensor module will not add them.


Sensor Modules Information on updating and using sensor modulesWaterfall Pro can monitor a lot of mainboards and device via Senso

 Information on updating and using sensor modules

Waterfall Pro can monitor a lot of mainboards and devices via Sensor Module. The sensor modules are free if you are a Waterfall Pro user. If you use the OEM version of Waterfall Pro, you still can use our sensor modules. Waterfall Pro 2.0 and its sensor modules use new data exchange protocol. It can't be used by Waterfall Pro 1.x, so please make sure to upgrade to version 2.0 (which is free of charge for those users who registered version 1.x). Please be sure to download any eventual updates and newer versions of the sensor modules from the Leading WinTech webpage.


Appendix A

Appendix A: Laptop users and Overclockers

CPU Coolant is very useful for Laptop users and overclockers. Because CPU Throttling Technology is a powerful and sophisticated feature which allows you to limit the power consumption of your processor.

Laptop users can set CPU Throttling to 50%, this will not only prevent your CPU from overheating, but it will also make it use less power and also, because the CPU fan only activates when the CPU overheats, it won't activate and therefore won't consume any extra power. You can incredibly extend your battery life by setting CPU Throttling correctly. For example, if you are a typist user that depends on Microsoft WinWord, you should use this feature. Microsoft WinWord is a smart editor, but it uses too many CPU resources to check the word is correct or the sentence is right. But you can save 30% power consumption if you use CPU Throttling when you use Microsoft WinWord.

CPU Throttling Technology may increase your chances of a successful overclocking. However, we cannot officially recommend you to overclock your system because it will void your CPU's warranty and, according to CPU manufacturers, might damage your system.


Appendix B

Appendix B: Hardware Sensors and Monitoring Programs

Hardware Sensors

National LM 75

National LM 78/LM79

Winbond W80371D

Gensys GL520SM/GL518SM

SiS 5595

Monitoring Programs

YiHong Waterfall Pro

SiS SiSMon

Acer Hardware Monitor

Asus PC Probe

Genesys Logic System Monitor Software

Gigabyte SIV

Intel LDCM

Hardware Monitor

MotherBoard Monitor

Shepherd


Appendix C

Appendix C: Mainboard Manufacturers

If you want to buy a new mainboard, you can check the website of the below mainboard manufacturers. These manufacturers are the top manufacturers in Taiwan. Due to the fact that we usually develop sensor modules based on the demand that we get, there is a higher demand for the following manufacturers, and therefore you will find additional plugins written for their products first.

ABIT (ABIT Computer Corp.)
WWW: http://www.abit-usa.com/

AOpen
WWW: http://www.aopen.com/

Asus (ASUSTek Computer, Inc.)
WWW: http://www.asus.com/

DFI (DFI Inc.)
WWW: http://www.dfiweb.com/

Elitegroup
WWW: http://www.ecs.com.tw/english.htm

EPox (EPox International, Inc.)
WWW: http://www.dfiweb.com/

FIC (First International Computer, Inc.)
WWW: http://www.fic.com.tw/

GigaByte (Giga-Byte Technology Co., Ltd.)
WWW: http://www.gigabyte.com.tw/

IWill
WWW: http://www.iwill.com.tw/

Msi (Micro-Star International)
WWW: http://www.msi.com.tw/

PCChips
WWW: http://www.pcchips.com.tw/

Soyo (Soyo Computer Inc.)
WWW: http://www.soyo.com.tw/

Tekram
WWW: http://www.tekram.com/


Appendix D

Appendix D: Processor Information

Intel

Type | Mhz | MMX | voltage
Pentium | 75-150 166-200 | X | 3.3V 3.5V
Pentium with MMX | 166-233 | V | 2.8V
Pentium Pro | 150-200 | X | 3.3V
Pentium II | 233-300 333-450 | V | 2.8V 2.0V
Celeron | 266-333 | V | 2.0V
Pentium with MMX Mobile Module | 233-266 | V |
Pentium II Mobile Module | 233-300 | V |

AMD

Type | Mhz | MMX | voltage
K5 |  | X | 3.3V, 3.52V
K6 | 166-200 233 266-300 | V | 2.9V 3.2V 2.2V
K6-2 | 266-400 | V | 2.2V
Mobil K6 |  | V | 2.0V

Cyrix

Type | Mhz | MMX | voltage
6x86 | 100-133 | X | 3.3V, 3.5V
6x86MX, M II | 133-200 | V | 2.8V

IDT

Type | Mhz | MMX | voltage
WinChip C6 | 180-240 180-240 | X | 3.3V 3.52V


Leading WinTech

YiHong
Waterfall Pro
USER'S MANUAL

This manual is designed by the Brotherhood of the CPU
and YiHong Software Development Corporation.